Skip to main content
GET
Get a card

Path Parameters

card_id
string<uuid>
required

The card ID.

Response

The request has succeeded.

id
string<uuid>
required

Unique identifier for the card.

account_id
string<uuid>
required

The account this card belongs to.

cardholder_id
string<uuid>
required

The cardholder who owns this card.

status
enum<string>
required

Current card status.

Available options:
all,
provisioning,
pending_activation,
active,
blocked,
canceled
native_currency
string
required

Primary currency for the card.

additional_currencies
string[]
required

Additional currencies supported by the card.

name
string
required

Display name for the card.

type
enum<string>
required

Card type.

Available options:
virtual
printed_name
string | null
required

Name associated with the card, when available.

issuing_date
string<date-time> | null
required

When the card was issued.

expiration_date
string<date-time> | null
required

When the card expires.

contactless_enabled
boolean | null
required

Whether contactless payments are enabled.

mode
string | null
required

Card operation mode.

brand
string | null
required

Card network brand (e.g., Visa, Mastercard).

bin
string | null
required

Bank Identification Number (first 6-8 digits of card number).

last_4_digits
string | null
required

Last 4 digits of the card number.

canceled_at
string<date-time> | null
required

When the card was canceled. Null if not canceled.

provisioned_at
string<date-time> | null
required

When the card was fully provisioned.

limit
object | null
required

Currently configured daily spending limit. Null if no limit has been set for this card. Call GET /cards/{card_id}/limit for today's spend and remaining headroom.